### Method

# EDataBook BookBackend get_direct_book

since: 3.8

#### Declaration [src]

    EDataBookDirect*
    e_book_backend_get_direct_book (
      EBookBackend* backend
    )

#### Description [src]

Tries to create an `EDataBookDirect` for `backend` if backend supports direct read access.

Available since: 3.8

#### Return value

Type: `EDataBookDirect`

A new `EDataBookDirect` object, or `NULL` if `backend` does not support direct access.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.